[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Yum Excludes



On Fri, 2005-06-24 at 13:13 -0500, Rob Wright wrote:
> I thought I had a pretty good grip on how yum works, but it seems I'm wrong. 
> I'm trying to do an update, and I'd like to exclude some packages that are 
> giving me dependency problems. Specifically I'm trying to update from FC3 to 
> FC4. I've tried doing this:
> 
> yum --exclude=koffice --exclude=pythonabi --exclude=apt --exclude=kdenetwork 
> --exclude=libmal --exclude=kdegraphics --exclude=kdeaddons --exclude=kdepim 
> --exclude=gcc-g77 --exclude=kdeedu --exclude=libgcrypt-devel 
> --exclude=python-reportlab update
> 
> on the command line but I still get errors about missing dependencies. So I 
> added this to my yum.conf:
> 
> exclude=koffice pythonabi apt kdenetwork libmal kdegraphics kdeaddons kdepim 
> gcc-g77 kdeedu libgcrypt-devel python-reportlab
> 
> which yields the same results when I run "yum update"
> 
> Reading the man page for yum, and other online documentation it looks like I'm 
> doing both of those correctly, but I'm obviously missing something. I've got 
> yum 2.2.1 and FC3. Any advice would be appreciated.

Have you seen:
http://fedoraproject.org/wiki/YumUpgradeFaq

What dependency issues are you seeing?

Paul.
-- 
Paul Howarth <paul city-fan org>


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]